


# SmeupWidgetBuilderResponse class












## Constructors

[SmeupWidgetBuilderResponse](../smeup_models_smeupWidgetBuilderResponse/SmeupWidgetBuilderResponse/SmeupWidgetBuilderResponse.md) ([SmeupModel](../smeup_models_widgets_smeup_model/SmeupModel-class.md) parentState, [Widget](https://api.flutter.dev/flutter/widgets/Widget-class.html) children, {[int](https://api.flutter.dev/flutter/dart-core/int-class.html) serviceStatusCode})

    


## Properties

##### [children](../smeup_models_smeupWidgetBuilderResponse/SmeupWidgetBuilderResponse/children.md) &#8596; [Widget](https://api.flutter.dev/flutter/widgets/Widget-class.html)



   
_read / write_



##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object. [...](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html)  
_read-only, inherited_



##### [parentState](../smeup_models_smeupWidgetBuilderResponse/SmeupWidgetBuilderResponse/parentState.md) &#8596; [SmeupModel](../smeup_models_widgets_smeup_model/SmeupModel-class.md)



   
_read / write_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.   
_read-only, inherited_



##### [serviceStatusCode](../smeup_models_smeupWidgetBuilderResponse/SmeupWidgetBuilderResponse/serviceStatusCode.md) &#8596; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



   
_read / write_




## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed. [...](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)  
_inherited_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object. [...](https://api.flutter.dev/flutter/dart-core/Object/toString.html)  
_inherited_




## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator. [...](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)  
_inherited_











